package com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.scan;

import android.os.ParcelUuid;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class ScanFilterCompat$a {
    String hFK;
    ParcelUuid hFL;
    ParcelUuid hFN;
    byte[] hFO;
    byte[] hFP;
    int hFQ = -1;
    byte[] hFR;
    byte[] hFS;
    ParcelUuid hFU;
    String mDeviceName;

    public final ScanFilterCompat$a a(ParcelUuid parcelUuid) {
        this.hFL = parcelUuid;
        this.hFU = null;
        return this;
    }

    public final ScanFilterCompat aCV() {
        AppMethodBeat.i(94313);
        ScanFilterCompat scanFilterCompat = new ScanFilterCompat(this.mDeviceName, this.hFK, this.hFL, this.hFU, this.hFN, this.hFO, this.hFP, this.hFQ, this.hFR, this.hFS, (byte) 0);
        AppMethodBeat.o(94313);
        return scanFilterCompat;
    }
}
